Create Resident: Buildium
| Interface | Method |
|---|---|
| Rental Tenants | POST /leases/tenants |
Request This endpoint expects an object.
integration_id string Required
The Propexo unique identifier for the integration
lease_id string Required
The Propexo unique identifier for the lease
last_name string Required
The last name of the resident. This value maps to the LastName property of the Tenant object
first_name string Required
The first name of the resident. This value maps to the FirstName property of the Tenant object
address_1 string Required
First line of the street address for the resident. This maps to the Address.AddressLine1 property of the primary address of the Tenant object
city string Required
City of the resident's primary address. This maps to the Address.City property of the Tenant object.
state string Required
State of the resident's primary address. This maps to the Address.State property of the Tenant object.
zip string Required
Zip/Postal Code of the resident’s primary address. This maps to the Address.PostalCode property of the Tenant object.
country enum Required
Country of the resident's primary address.
Allowed values: US
email_1 string Optional format: "email"
The primary email address for the resident. This value maps to the Email property of the Tenant object
email_2 string Optional format: "email"
An alternate email address for the resident. This value maps to the AlternateEmail property of the Tenant object.
date_of_birth string Optional format: "date-time"
The date of birth of the resident. This value maps to the DateOfBirth property of the Tenant object.
address_2 string Optional
Second line of the street address for the resident. This maps to the Address.AddressLine2 property of the Tenant object.
address_1_alternate string Optional
First line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine1 property of the Tenant object
address_2_alternate string Optional
Second line of the secondary/alternate street address for the resident. This maps to the AlternateAddress.AddressLine2 property of the Tenant object
city_alternate string Optional
City of the resident’s secondary/alternate address. This maps to the AlternateAddress.City property of the Tenant object.
state_alternate string Optional
State of the resident’s secondary/alternate address. This maps to the AlternateAddress.State property of the Tenant object
zip_alternate string Optional
Zip/Postal Code of the resident’s secondary/alternate address. This maps to the AlternateAddress.PostalCode property of the Tenant object
country_alternate enum Optional
Country of the resident’s secondary/alternate address.
Allowed values: US
notes string Optional
Any notes on the resident. This value maps to the Comment property of the Tenant object.
phone_1 string Optional
Resident’s primary phone number. This will be assumed to be a HOME phone number unless phone_1_type is also set.
phone_1_type enum Optional
The type of the resident's primary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Allowed values: HOME WORK MOBILE FAX
phone_2 string Optional
Resident’s secondary phone number. This will be assumed to be a MOBILE phone number unless phone_2_type is also set.
phone_2_type enum Optional
The type of the resident's secondary phone number. The value passed in here must be one of 'HOME', 'WORK', 'MOBILE', FAX'.
Allowed values: HOME WORK MOBILE FAX
custom_data object Optional Deprecated
Deprecated: Field is no longer applicable